/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { RdfDefinitionDto } from './rdf-definition-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { TreeDataType } from './tree-data-type';

/**
 * Represents a data transfer object (DTO) for extracted metadata within a tree structure, extending the base TreeDto.
 * @export
 * @interface MetadataTreeExtractedDto
 */
export interface MetadataTreeExtractedDto {
    /**
     * The path of the tree item.
     * @type {string}
     * @memberof MetadataTreeExtractedDto
     */
    'path'?: string;
    /**
     * 
     * @type {TreeDataType}
     * @memberof MetadataTreeExtractedDto
     */
    'type'?: TreeDataType;
    /**
     * Gets the identifier of the metadata extraction graph.
     * @type {string}
     * @memberof MetadataTreeExtractedDto
     */
    'metadataId'?: string;
    /**
     * Gets the identifier of the raw data extraction graph.
     * @type {string}
     * @memberof MetadataTreeExtractedDto
     */
    'rawDataId'?: string | null;
    /**
     * 
     * @type {RdfDefinitionDto}
     * @memberof MetadataTreeExtractedDto
     */
    'definition'?: RdfDefinitionDto;
}



